=== debian/changelog ===
lablgtk2 (2.18.5+dfsg-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:35:44 +0200

lablgtk2 (2.18.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Build without libgnomeui (Closes: #868392)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 22:54:05 +0200
