=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://forge.ocamlcore.org/frs/?group_id=220 .*/lablgtk-(.*)\.tar\.gz
# Upstream git repository:
#   http://forge.ocamlcore.org/anonscm/git/lablgtk/lablgtk.git
#   http://forge.ocamlcore.org/scm/browser.php?group_id=220
