=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-ocaml (>= 0.9.5~),
  ocaml-nox (>= 4.00.1),
  ocaml,
- camlp4 (>= 3.11),
  liblablgl-ocaml-dev (>= 1.04-3~),
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
  libglade2-dev,
  librsvg2-dev,
- libgnomecanvas2-dev,
  libgtkspell-dev,
  libgtksourceview2.0-dev (>= 2.10),
  ocaml-findlib (>= 1.3.2)
-Standards-Version: 3.9.8
-Homepage: http://forge.ocamlcore.org/projects/lablgtk/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/lablgtk2.git
+Standards-Version: 4.4.0
+Homepage: http://garrigue.github.io/lablgtk/
+Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
 
 Package: liblablgtk2-ocaml
 Architecture: any
@@ -64,8 +62,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package include only the dynamic libraries needed for running
- dynamic bytecode executables using GNOME functionalities (gnome-canvas,
- rsvg).
+ dynamic bytecode executables using GNOME functionalities (rsvg).
 
 Package: liblablgtksourceview2-ocaml
 Architecture: any
@@ -120,7 +117,6 @@
 Architecture: any
 Depends:
  librsvg2-dev,
- libgnomecanvas2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -130,7 +126,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package contains the development files of lablgtk for libraries using
- GNOME functionalities (gnome-canvas, rsvg).
+ GNOME functionalities (rsvg).
 
 Package: liblablgtksourceview2-ocaml-dev
 Architecture: any
