=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--with-gnomecanvas --with-gtkspell --without-gnomeui \
+	--without-gnomecanvas --with-gtkspell --without-gnomeui \
 	--with-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -47,6 +47,8 @@
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
 # remove files related to libgnomeui (see #868392)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoDruid.mli
+# remove files related to libgnomecanvas (see #885677)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoCanvas.mli
 # FIXME: we should use upstream META file
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
 
@@ -54,6 +56,6 @@
 override_dh_installexamples:
 	dh_installexamples --exclude='.cvsignore'
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing -Xbuild.ml
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing -Xbuild.ml
