## lablgtk2 2.18.8+dfsg

=== debian/changelog ===
lablgtk2 (2.18.8+dfsg-2) unstable; urgency=medium

  * Fix compilation with gcc-10 (Closes: #957413)
  * Build without gtksourceview2 (Closes: #885677)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jul 2020 10:42:42 +0200

lablgtk2 (2.18.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Remove Samuel from Uploaders
  * Remove camlp4 from Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 11:52:31 +0200

lablgtk2 (2.18.5+dfsg-3) unstable; urgency=medium

  * Add liblablgtksourceview2-ocaml{,-dev} back
  * Update version in META files (Closes: #822949)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Feb 2019 12:50:30 +0100

lablgtk2 (2.18.5+dfsg-2) unstable; urgency=medium

  * Build without gtksourceview2 and gnomecanvas (Closes: #885677)
  * Remove findlib package lablgtk2-gnome.panel
  * Switch Vcs-* to salsa and other minor changes

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Oct 2018 18:20:37 +0200
