=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
- dh-ocaml (>= 0.9.5~),
- ocaml-nox (>= 4.00.1),
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml-nox,
  ocaml,
- liblablgl-ocaml-dev (>= 1.04-3~),
+ liblablgl-ocaml-dev,
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
  libglade2-dev,
  librsvg2-dev,
  libgtkspell-dev,
- libgtksourceview2.0-dev (>= 2.10),
- ocaml-findlib (>= 1.3.2)
-Standards-Version: 4.4.0
+ ocaml-findlib
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://garrigue.github.io/lablgtk/
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
@@ -63,22 +62,6 @@
  .
  This package include only the dynamic libraries needed for running
  dynamic bytecode executables using GNOME functionalities (rsvg).
-
-Package: liblablgtksourceview2-ocaml
-Architecture: any
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Replaces: liblablgtksourceview-ocaml
-Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
-Description: OCaml bindings for libgtksourceview2 (runtime)
- This is the OCaml binding for the GtkSourceView2 widget, a text widget that
- extends the standard GTK+ 2.x text widget with syntax highlighting and other
- features typical of a source editor.
- .
- This package contains the shared runtime stub libraries.
 
 Package: liblablgtk2-ocaml-dev
 Architecture: any
@@ -128,24 +111,6 @@
  This package contains the development files of lablgtk for libraries using
  GNOME functionalities (rsvg).
 
-Package: liblablgtksourceview2-ocaml-dev
-Architecture: any
-Depends:
- libgtksourceview2.0-dev,
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Recommends: liblablgtk2-ocaml-doc
-Replaces: liblablgtksourceview-ocaml-dev
-Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
-Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
- This is the OCaml binding for the GtkSourceView2 widget, a text widget that
- extends the standard GTK+ 2.x text widget with syntax highlighting and other
- features typical of a source editor.
- .
- This package contains the development part of the lablgtksourceview2 package.
-
 Package: liblablgtk2-ocaml-doc
 Section: doc
 Architecture: all
@@ -154,7 +119,6 @@
  liblablgtk2-ocaml-dev,
  liblablgtk2-gl-ocaml-dev,
  liblablgtk2-gnome-ocaml-dev,
- liblablgtksourceview2-ocaml-dev
 Description: OCaml bindings to Gtk+ version 2 (documentation)
  LablGTK2 contains bindings for GTK+ 2.x and OCaml.
  .
