=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
 	--without-gnomecanvas --with-gtkspell --without-gnomeui \
-	--with-gtksourceview2
+	--without-gtksourceview2
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -43,6 +43,10 @@
 	rm \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli
+# remove files related to gtksourceview2 (see #885677)
+	rm \
+	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView2_types.mli \
+	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView2.mli
 # remove files related to uncompiled gnome-panel (see #638133)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
 # remove files related to libgnomeui (see #868392)
