## lablgtk2 2.18.11

=== debian/changelog ===
lablgtk2 (2.18.11-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 12:28:18 +0200

lablgtk2 (2.18.8+dfsg-3) unstable; urgency=medium

  * Build without glade

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Aug 2020 11:20:48 +0200
