=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libncurses5-dev,
  libgtk2.0-dev,
  libgtkgl2.0-dev,
- libglade2-dev,
  librsvg2-dev,
  libgtkspell-dev,
  ocaml-findlib
@@ -68,7 +67,6 @@
 Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
 Depends:
  libgtk2.0-dev,
- libglade2-dev,
  libgtkspell-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
