=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/garrigue/lablgtk/releases .*/archive/(2\..+)\.tar\.gz
