## lablgtk2 2.18.12

=== src/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 endif
 
 ifdef DEBUG
-COMPILER += -warn-error A-52
+COMPILER += -warn-error A-52-6
 CFLAGS = -g $(GTKCFLAGS)
 CUSTOM = -custom
 #MLLINK += -cclib -lcamlrund
