=== debian/changelog ===
lablgtk2 (2.18.12-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 08:06:16 +0100
