=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/garrigue/lablgtk/releases .*/(2\..+)\.tar\.gz
