## lablgtk2 2.18.13

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for lablgtk.
 
-COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -c
-LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
-COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
+COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3-6+52 -c
+LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3-6+52
+COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s-3-6+52 -c
 LINKOPT = $(CAMLOPT) $(MLFLAGS)
 LIBRARIAN = $(CAMLMKLIB) -verbose -ocamlc "$(CAMLC)" -ocamlopt "$(CAMLOPT)"
 TOPLEVEL = $(CAMLMKTOP) $(MLFLAGS)
@@ -30,6 +30,7 @@
 MLLIBS = lablgtk.cma
 CLIBS = liblablgtk2$(XA)
 #MLLINK = unix.cma str.cma
+MLFLAGS = -I +unix
 
 # For -DG_LOG_DOMAIN=\"LablGTK\"
 ifneq ($(TOOLCHAIN),msvc)
@@ -368,4 +369,3 @@
 	@if test -f lablgtk.cmxa; then $(MAKE) old-installopt; fi
 	@if test -f dlllablgtk2$(XS); then $(MAKE) old-installdll; fi
 	cp lablgtk2$(XB) "$(BINDIR)"
-	if test -f lablgladecc$(XE); then \
