=== debian/changelog ===
lablgtk2 (2.18.13-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jul 2023 07:18:40 +0200

lablgtk2 (2.18.13-1.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Remove gtkspell support.

 -- Bastian Germann <bage@debian.org>  Sun, 23 Jul 2023 17:25:37 +0200

lablgtk2 (2.18.13-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Nicolas Boulenguez ]
  * Remove the gtkgl/glarea component (Closes: #1011323)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Jun 2023 19:12:29 +0200

lablgtk2 (2.18.13-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Set upstream metadata fields
  * Update standards version to 4.6.1
  * Apply multi-arch hints

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 08:58:55 +0100
