=== debian/control ===
--- 
+++ 
@@ -9,16 +9,14 @@
  debhelper-compat (= 13),
  dh-ocaml,
  ocaml,
- liblablgl-ocaml-dev,
- libncurses5-dev,
+ libcamlp-streams-ocaml-dev,
+ libncurses-dev,
  libgtk2.0-dev,
- libgtkgl2.0-dev,
  librsvg2-dev,
- libgtkspell-dev,
  ocaml-findlib
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://garrigue.github.io/lablgtk/
+Homepage: https://garrigue.github.io/lablgtk/
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2
 
@@ -35,19 +33,6 @@
  This package include only the dynamic libraries needed for running dynamic
  bytecode executables.
 
-Package: liblablgtk2-gl-ocaml
-Architecture: any
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Description: runtime libraries for OCaml bindings to GtkGL
- lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
- .
- This package include only the dynamic libraries needed for running dynamic
- bytecode executables using GtkGL functionalities.
-
 Package: liblablgtk2-gnome-ocaml
 Architecture: any
 Depends:
@@ -63,10 +48,9 @@
 
 Package: liblablgtk2-ocaml-dev
 Architecture: any
-Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
+Suggests: liblablgtk2-gnome-ocaml-dev
 Depends:
  libgtk2.0-dev,
- libgtkspell-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -76,22 +60,6 @@
  lablgtk2 contains bindings for GTK+ 2.x and OCaml.
  .
  This package contains the development files of lablgtk.
-
-Package: liblablgtk2-gl-ocaml-dev
-Architecture: any
-Suggests: liblablgtk2-gnome-ocaml-dev
-Depends:
- libgtkgl2.0-dev,
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${ocaml:Provides}
-Recommends: liblablgtk2-ocaml-doc
-Description: OCaml bindings to GtkGL
- lablgtk2 contains bindings for GTK+ 2.x and OCaml.
- .
- This package contains the development files of lablgtk for libraries using
- GtkGL.
 
 Package: liblablgtk2-gnome-ocaml-dev
 Architecture: any
@@ -114,8 +82,8 @@
 Depends: ${misc:Depends}
 Enhances:
  liblablgtk2-ocaml-dev,
- liblablgtk2-gl-ocaml-dev,
  liblablgtk2-gnome-ocaml-dev,
+Multi-Arch: foreign
 Description: OCaml bindings to Gtk+ version 2 (documentation)
  LablGTK2 contains bindings for GTK+ 2.x and OCaml.
  .
