=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
-	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--without-gnomecanvas --with-gtkspell --without-gnomeui \
+	dh_auto_configure -- --without-gl --without-glade --with-rsvg	\
+	--without-gnomecanvas --without-gtkspell --without-gnomeui \
 	--without-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -53,6 +53,10 @@
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoDruid.mli
 # remove files related to libgnomecanvas (see #885677)
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/gnoCanvas.mli
+# remove files related to libglade2 (see #895517)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/glade.mli
+# remove files related to gtkgl (see #967808)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/glGtk.mli
 # FIXME: we should use upstream META file
 	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
